import { ButtonHTMLAttributes, CSSProperties, MouseEvent } from "react";
type ButtonProps = Omit<ButtonHTMLAttributes<HTMLButtonElement>, "type"> & {
    disabledStyle?: CSSProperties;
};
type OnClickType<T> = (event?: MouseEvent<HTMLButtonElement, globalThis.MouseEvent>, value?: T) => void;
export declare const BaseButton: ({ children, style, disabledStyle, ...props }: ButtonProps) => JSX.Element;
export declare const PushButton: ({ value, children, onClick, ...props }: {
    value: any;
} & Omit<ButtonHTMLAttributes<HTMLButtonElement>, "type"> & {
    disabledStyle?: CSSProperties | undefined;
}) => JSX.Element;
export declare const SwapButton: ({ index1, index2, onClick, children, ...props }: {
    index1: number;
    index2: number;
} & Omit<ButtonHTMLAttributes<HTMLButtonElement>, "type"> & {
    disabledStyle?: CSSProperties | undefined;
}) => JSX.Element;
export declare const MoveButton: ({ from, to, onClick, children, ...props }: {
    from: number;
    to: number;
} & Omit<ButtonHTMLAttributes<HTMLButtonElement>, "type"> & {
    disabledStyle?: CSSProperties | undefined;
}) => JSX.Element;
export declare const InsertButton: ({ index, value, onClick, children, ...props }: {
    index: number;
    value: any;
} & Omit<ButtonHTMLAttributes<HTMLButtonElement>, "type"> & {
    disabledStyle?: CSSProperties | undefined;
}) => JSX.Element;
export declare const UnshiftButton: ({ value, onClick, children, ...props }: {
    onClick?: OnClickType<number> | undefined;
    value: any;
} & Omit<ButtonProps, "onClick">) => JSX.Element;
export declare const RemoveButton: ({ index, onClick, children, ...props }: {
    index: number;
    onClick?: OnClickType<any> | undefined;
} & Omit<ButtonProps, "onClick">) => JSX.Element;
export declare const PopButton: ({ onClick, children, ...props }: Omit<ButtonProps, "onClick"> & {
    onClick?: OnClickType<any> | undefined;
}) => JSX.Element;
export declare const ReplaceButton: ({ index, value, onClick, children, ...props }: {
    index: number;
    value: any;
} & Omit<ButtonHTMLAttributes<HTMLButtonElement>, "type"> & {
    disabledStyle?: CSSProperties | undefined;
}) => JSX.Element;
export {};
