import { CSSProperties, ReactNode } from "react";
import { RadioValue } from "./RadioContext";
export type RadioProps = {
    name: string;
    children: ReactNode;
    style?: CSSProperties;
    onChange?: (value?: RadioValue) => void;
};
declare const Radio: {
    ({ name, children, style, onChange }: RadioProps): JSX.Element;
    Label: ({ children, style }: {
        children: ReactNode;
        style?: CSSProperties | undefined;
    }) => JSX.Element;
    Button: ({ disabled, style, checkedStyle, disabledStyle, disabledCheckedStyle, value, ...props }: {
        checkedStyle?: CSSProperties | undefined;
        disabledStyle?: CSSProperties | undefined;
        disabledCheckedStyle?: CSSProperties | undefined;
        disabled?: boolean | ((values: import("formik").FormikValues) => boolean) | undefined;
    } & Omit<import("react").InputHTMLAttributes<HTMLInputElement>, "type" | "onChange" | "size">) => JSX.Element;
    Option: ({ disabled, style, checkedStyle, disabledStyle, disabledCheckedStyle, value, children, onChange, }: {
        children: ReactNode;
        style?: CSSProperties | undefined;
        checkedStyle?: CSSProperties | undefined;
        disabledStyle?: CSSProperties | undefined;
        disabledCheckedStyle?: CSSProperties | undefined;
        disabled?: boolean | ((values: import("formik").FormikValues) => boolean) | undefined;
        value?: RadioValue;
        onChange?: ((value?: RadioValue) => void) | undefined;
    }) => JSX.Element;
    ErrorMessage: ({ style }: {
        style?: CSSProperties | undefined;
    }) => JSX.Element | null;
};
export default Radio;
